#pragma once

// Class for creating ingame movies (*.avi)
// Based on an article by James Dougherty on http://www.gamedev.net
// Partially using code from this article (http://www.gamedev.net/reference/articles/article2063.asp) 

class CAviSystem
{
public:

	CAviSystem(void);
	~CAviSystem(void);
	void BeginMovieCapture(void);
	void EndMovieCapture(void);
	void UpdateMovieCapture(void);
	bool m_bIsRunning;

private:
 
 struct VIDEODATA
 {
	PAVISTREAM	  Stream;			   
	bool		  VideoOK;			   
	PAVIFILE	  VideoFile;		   
	unsigned int  VideoWidth;	       
	unsigned int  VideoHeight;	       
	int			  NumberOfFrames;	   
	AVISTREAMINFO StreamInformation;   
	PAVISTREAM    CompressionStream;   
 };

 VIDEODATA	   m_Video;
 HANDLE CaptureScreen(void);
};
